package com.ruoyi.xq.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.common.core.domain.PageQuery;
import com.ruoyi.xq.domain.Report;
import com.ruoyi.xq.dto.admin.report.ReportAdminVo;
import com.ruoyi.xq.dto.app.report.ReportPushReq;

/**
 * 举报Service接口
 *
 * @author 77
 * @date 2024-03-19
 */
public interface ReportService extends IService<Report> {

    void close(Long id);

    IPage<ReportAdminVo> pageAdmin(PageQuery pageQuery, ReportAdminVo bo);

    void push(ReportPushReq reportPushReq);
}
